package common_structure

import "time"

type LogInfoType = string

const (
	LogInfoTypeOrder   LogInfoType = "order"
	LogInfoTypeProduct LogInfoType = "product"
)

type LogInfo struct {
	InfoType LogInfoType `json:"info_type"` // 类型
	ID       int         `json:"id"`        // ID，订单ID，商品ID，商品SKUID之类的id
	Operator interface{} `json:"operator"`  // 操作人，商家用户对象，admin对象或者是系统，关闭订单消费队列等
	Title    string      `json:"title"`     // 标题，做什么事情
	Param    interface{} `json:"param"`     // 参数，请求参数，函数、方法就是参数
	Result   interface{} `json:"result"`    // 结果，返回值
	ErrStr   string      `json:"err_str"`   // 错误信息，json转义error没有自动存储，需要手动转义
	At       time.Time   `json:"at"`        // 记录时间
}
